package com.vpn.fastestvpnservice.sealedClass

sealed class Screen(val route: String, var isTrue: Boolean = false) {
    data object Splash : Screen("splash_screen")
    data object Login : Screen("login_screen")
    data object SignUp : Screen("signup_screen")
    data object ForgotPassword : Screen("forgot_password_screen")
    data object Started : Screen("started_screen")
    data object BottomBarMainScreen : Screen("bottom_bar_main_screen")
    data object FAQ : Screen("faq_screen")
    data object PrivacyPolicy : Screen("privacy_policy_screen")
    data object TermsAndConditions : Screen("terms_and_conditions_screen")
    data object About : Screen("about_screen")
    data object CustomerSupport: Screen("customer_support_screen")
    data object ChangePassword : Screen("change_password")
    data object ServerList : Screen("server_list_screen")
    data object Notifications : Screen("notifications_screen")
    data object SplitTunneling : Screen("split_tunneling_screen")
    data object FavoriteServers : Screen("favorite_servers_screen")
    data object Subscription : Screen("subscription_screen")
}